package request

import (
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/ability587/domain"
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/util"
)

type AlibabaPricePromotionItemAddRequest struct {
	/*
	   入参     */
	PromotionContent *domain.AlibabaPricePromotionItemAddPromotionContent `json:"promotion_content,omitempty" required:"false" `
}

func (s *AlibabaPricePromotionItemAddRequest) SetPromotionContent(v domain.AlibabaPricePromotionItemAddPromotionContent) *AlibabaPricePromotionItemAddRequest {
	s.PromotionContent = &v
	return s
}

func (req *AlibabaPricePromotionItemAddRequest) ToMap() map[string]interface{} {
	paramMap := make(map[string]interface{})
	if req.PromotionContent != nil {
		paramMap["promotion_content"] = util.ConvertStruct(*req.PromotionContent)
	}
	return paramMap
}

func (req *AlibabaPricePromotionItemAddRequest) ToFileMap() map[string]interface{} {
	fileMap := make(map[string]interface{})
	return fileMap
}
